-- Autor: Nicolás Andrés Ortega Froysa
-- GBD

-- 1
SELECT NOMBRE, PRECIO FROM PRODUCTOS WHERE TIPO='ANIMAL';

-- 2
SELECT AVG(PRECIO) "Precio medio de no animales" FROM PRODUCTOS WHERE TIPO IN ('ACCESORIO', 'ALIMENTACION');

-- 3
SELECT COUNT(*) FROM PROVEEDORES;

-- 4
SELECT * FROM COMPRAS WHERE FORMA_PAGO='TARJETA' ORDER BY FECHA DESC;

-- 5
SELECT 'La compra con REF. = ' || REFERENCIA || ' se hizo el día ' || FECHA FROM COMPRAS;

-- 6
/*
 * Aquí asumo que el formato de NOMBRE es *siempre* de "NOMBRE APELLIDO"
 */
SELECT COUNT(*) FROM CLIENTES WHERE NOMBRE LIKE '%PEREZ';

-- 7
SELECT NOMBRE, DECODE(CP, 41930, 'Bormujos', NULL) "Localidad" FROM CLIENTES WHERE CP=41930;

-- 8
SELECT CLI.NOMBRE FROM CLIENTES CLI JOIN COMPRAS COMP ON CLI.ID = COMP.ID_CLIENTE WHERE COMP.FECHA BETWEEN '01/02/2021' AND '15/02/2021';
